/*
 * ParsedSql.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.dbaccess;

import java.util.ArrayList;
import java.util.List;

/**
 * 解析済みのSQLとSQL文中の置換文字列を保持するクラス。
 * @author Lijuan Sun
 */
public class ParsedSql {

	/** 解析済みSQL */
	private String sql;

	/** 解析済みSQLの置換文字列のリスト */
	private List<String> parameterNames = new ArrayList<String>();

	/**
	 * 解析済みSQLを返す。
	 * @return 解析済みSQL
	 */
	public String getSql() {
		return sql;
	}

	/**
	 * 解析済みSQLを設定する。
	 * @param sql 解析済みSQL
	 */
	public void setSql(String sql) {
		this.sql = sql;
	}

	/**
	 * 解析済みSQLの引数を返す。
	 * @return 解析済みSQLの引数
	 */
	public List<String> getParameterNames() {
		return parameterNames;
	}

	/**
	 * 解析済みSQLの置換文字列を追加する
	 * @param parameterName 解析済みSQLの置換文字列
	 */
	public void addParameterNames(String parameterName) {
		parameterNames.add(parameterName);
	}

}
